## r-bioc-dropletutils 1.10.3+ds

=== DESCRIPTION ===
Package: DropletUtils
Version: 1.10.3
Date: 2021-02-01
Title: Utilities for Handling Single-Cell Droplet Data
Authors@R: c(
    person("Aaron", "Lun", role = c("aut", "cre"), email = "infinite.monkeys.with.keyboards@gmail.com"), 
    person("Jonathan", "Griffiths", role="ctb"), 
    person("Davis", "McCarthy", role="ctb"))
Depends: SingleCellExperiment
Imports: utils, stats, methods, Matrix, Rcpp, BiocGenerics, S4Vectors,
        SummarizedExperiment, BiocParallel, DelayedArray, HDF5Array,
        rhdf5, edgeR, R.utils, dqrng, beachmat, scuttle
Suggests: testthat, knitr, BiocStyle, rmarkdown, jsonlite,
        DropletTestFiles
biocViews: ImmunoOncology, SingleCell, Sequencing, RNASeq,
        GeneExpression, Transcriptomics, DataImport, Coverage
Description: 
    Provides a number of utility functions for handling single-cell 
    (RNA-seq) data from droplet technologies such as 10X Genomics. This 
    includes data loading from count matrices or molecule information files, 
    identification of cells from empty droplets, removal of barcode-swapped 
    pseudo-cells, and downsampling of the count matrix.
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
LinkingTo: Rcpp, beachmat, Rhdf5lib, BH, dqrng, scuttle
SystemRequirements: C++11, GNU make
RoxygenNote: 7.1.1
git_url: https://git.bioconductor.org/packages/DropletUtils
git_branch: RELEASE_3_12
git_last_commit: 4bdf932
git_last_commit_date: 2021-02-01
Date/Publication: 2021-02-02
Packaged: 2021-02-02 23:56:38 UTC; biocbuild
Author: Aaron Lun [aut, cre],
  Jonathan Griffiths [ctb],
  Davis McCarthy [ctb]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-dropletutils (1.10.3+ds-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Use expect_equal() instead of expect_identical() in test-hashing.R

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 28 Feb 2021 16:08:24 +0000

r-bioc-dropletutils (1.10.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Ignore failing test on i386, arm64 and ppc64el

 -- Andreas Tille <tille@debian.org>  Tue, 16 Feb 2021 08:07:51 +0100

r-bioc-dropletutils (1.10.3+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 05 Feb 2021 14:36:06 +0100

r-bioc-dropletutils (1.10.2+ds-1ubuntu1) hirsute; urgency=medium

  * Use expect_equal() instead of expect_identical() in test-hashing.R

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Jan 2021 06:35:56 +0000

r-bioc-dropletutils (1.10.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jan 2021 19:30:38 +0100

r-bioc-dropletutils (1.10.1+ds-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * New upstream version

  [ Michael R. Crusoe ]
  * debian/control: build-dep on r-bioc-scuttle
  * Trim trailing whitespace.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 22 Nov 2020 10:59:23 +0100

r-bioc-dropletutils (1.8.0+ds-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 17 Sep 2020 14:06:13 +0200

r-bioc-dropletutils (1.8.0+ds-1) unstable; urgency=medium

  * Initial release (closes: #969760)

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 Sep 2020 19:53:41 +0200

=== debian/control ===
Source: r-bioc-dropletutils
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
# Testsuite: autopkgtest-pkg-r # do not run since the test suite is tweaked
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment,
               r-cran-matrix,
               r-cran-rcpp,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-summarizedexperiment,
               r-bioc-biocparallel,
               r-bioc-delayedarray,
               r-bioc-hdf5array,
               r-bioc-rhdf5,
               r-bioc-edger,
               r-cran-r.utils,
               r-cran-dqrng,
               r-bioc-beachmat,
               r-bioc-rhdf5lib,
               r-cran-bh,
               libhdf5-dev,
               libpcg-cpp-dev,
               r-bioc-scuttle
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils.git
Homepage: https://bioconductor.org/packages/DropletUtils/
Rules-Requires-Root: no

Package: r-bioc-dropletutils
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: BioConductor utilities for handling single-cell droplet data
 Provides a number of utility functions for handling single-cell
 (RNA-seq) data from droplet technologies such as 10X Genomics. This
 includes data loading from count matrices or molecule information files,
 identification of cells from empty droplets, removal of barcode-swapped
 pseudo-cells, and downsampling of the count matrix.

## r-bioc-dropletutils 1.14.2+ds

=== DESCRIPTION ===
Package: DropletUtils
Version: 1.14.2
Date: 2021-01-07
Title: Utilities for Handling Single-Cell Droplet Data
Authors@R: c(
    person("Aaron", "Lun", role = "aut"),
    person("Jonathan", "Griffiths", role=c("ctb", "cre"), email = "jonathan.griffiths.94@gmail.com"),
    person("Davis", "McCarthy", role="ctb"),
    person("Dongze", "He", role="ctb"),
    person("Rob", "Patro", role="ctb"))
Depends: SingleCellExperiment
Imports: utils, stats, methods, Matrix, Rcpp, BiocGenerics, S4Vectors,
        IRanges, GenomicRanges, SummarizedExperiment, BiocParallel,
        DelayedArray, DelayedMatrixStats, HDF5Array, rhdf5, edgeR,
        R.utils, dqrng, beachmat, scuttle
Suggests: testthat, knitr, BiocStyle, rmarkdown, jsonlite,
        DropletTestFiles
biocViews: ImmunoOncology, SingleCell, Sequencing, RNASeq,
        GeneExpression, Transcriptomics, DataImport, Coverage
Description: 
    Provides a number of utility functions for handling single-cell 
    (RNA-seq) data from droplet technologies such as 10X Genomics. This 
    includes data loading from count matrices or molecule information files, 
    identification of cells from empty droplets, removal of barcode-swapped 
    pseudo-cells, and downsampling of the count matrix.
License: GPL-3
NeedsCompilation: yes
VignetteBuilder: knitr
LinkingTo: Rcpp, beachmat, Rhdf5lib, BH, dqrng, scuttle
SystemRequirements: C++11, GNU make
RoxygenNote: 7.1.2
git_url: https://git.bioconductor.org/packages/DropletUtils
git_branch: RELEASE_3_14
git_last_commit: 945504d
git_last_commit_date: 2022-01-08
Date/Publication: 2022-01-09
Packaged: 2022-01-09 09:17:51 UTC; biocbuild
Author: Aaron Lun [aut],
  Jonathan Griffiths [ctb, cre],
  Davis McCarthy [ctb],
  Dongze He [ctb],
  Rob Patro [ctb]
Maintainer: Jonathan Griffiths <jonathan.griffiths.94@gmail.com>

=== debian/changelog ===
r-bioc-dropletutils (1.14.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 14 Jan 2022 21:20:07 +0100

r-bioc-dropletutils (1.14.1+ds-1) unstable; urgency=medium

  * Team upload.
  * dh-update-R to update Build-Depends (routine-update)
  * DEP3

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 21:38:57 +0100

r-bioc-dropletutils (1.12.3+ds-2) unstable; urgency=medium

  * Team upload
  * Exclude test-hashing.R on s390x as well

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Oct 2021 10:56:07 +0000

r-bioc-dropletutils (1.12.3+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version

  [ Nilesh Patra ]
  * Add patch to skip failing test

 -- Nilesh Patra <nilesh@debian.org>  Tue, 28 Sep 2021 02:55:44 +0530

r-bioc-dropletutils (1.12.2+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

  [ Nilesh Patra ]
  * d/control: Add "Testsuite: autopkgtest-pkg-r"

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Sep 2021 18:19:12 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: r-bioc-dropletutils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
-# Testsuite: autopkgtest-pkg-r # do not run since the test suite is tweaked
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -13,9 +11,12 @@
                r-cran-rcpp,
                r-bioc-biocgenerics,
                r-bioc-s4vectors,
+               r-bioc-iranges,
+               r-bioc-genomicranges,
                r-bioc-summarizedexperiment,
                r-bioc-biocparallel,
                r-bioc-delayedarray,
+               r-bioc-delayedmatrixstats,
                r-bioc-hdf5array,
                r-bioc-rhdf5,
                r-bioc-edger,
@@ -27,11 +28,12 @@
                libhdf5-dev,
                libpcg-cpp-dev,
                r-bioc-scuttle
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils.git
 Homepage: https://bioconductor.org/packages/DropletUtils/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-dropletutils
 Architecture: any

## r-bioc-dropletutils 1.16.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: DropletUtils
-Version: 1.14.2
-Date: 2021-01-07
+Version: 1.16.0
+Date: 2021-11-07
 Title: Utilities for Handling Single-Cell Droplet Data
 Authors@R: c(
     person("Aaron", "Lun", role = "aut"),
@@ -30,11 +30,11 @@
 SystemRequirements: C++11, GNU make
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/DropletUtils
-git_branch: RELEASE_3_14
-git_last_commit: 945504d
-git_last_commit_date: 2022-01-08
-Date/Publication: 2022-01-09
-Packaged: 2022-01-09 09:17:51 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: a08cd3b
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:33:31 UTC; biocbuild
 Author: Aaron Lun [aut],
   Jonathan Griffiths [ctb, cre],
   Davis McCarthy [ctb],

=== debian/changelog ===
r-bioc-dropletutils (1.16.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 12:54:54 +0200

## r-bioc-dropletutils 1.18.1+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: DropletUtils
-Version: 1.16.0
-Date: 2021-11-07
+Version: 1.18.1
+Date: 2022-11-21
 Title: Utilities for Handling Single-Cell Droplet Data
 Authors@R: c(
     person("Aaron", "Lun", role = "aut"),
@@ -28,13 +28,13 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp, beachmat, Rhdf5lib, BH, dqrng, scuttle
 SystemRequirements: C++11, GNU make
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 git_url: https://git.bioconductor.org/packages/DropletUtils
-git_branch: RELEASE_3_15
-git_last_commit: a08cd3b
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:33:31 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: ff37775
+git_last_commit_date: 2022-11-22
+Date/Publication: 2022-11-22
+Packaged: 2022-11-22 21:34:46 UTC; biocbuild
 Author: Aaron Lun [aut],
   Jonathan Griffiths [ctb, cre],
   Davis McCarthy [ctb],

=== debian/changelog ===
r-bioc-dropletutils (1.18.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Dec 2022 18:01:02 +0100

r-bioc-dropletutils (1.18.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:17:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,13 @@
 Source: r-bioc-dropletutils
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils.git
+Homepage: https://bioconductor.org/packages/DropletUtils/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -28,11 +33,6 @@
                libhdf5-dev,
                libpcg-cpp-dev,
                r-bioc-scuttle
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils.git
-Homepage: https://bioconductor.org/packages/DropletUtils/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-dropletutils

## r-bioc-dropletutils 1.20.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: DropletUtils
-Version: 1.18.1
+Version: 1.20.0
 Date: 2022-11-21
 Title: Utilities for Handling Single-Cell Droplet Data
 Authors@R: c(
@@ -28,13 +28,13 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp, beachmat, Rhdf5lib, BH, dqrng, scuttle
 SystemRequirements: C++11, GNU make
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/DropletUtils
-git_branch: RELEASE_3_16
-git_last_commit: ff37775
-git_last_commit_date: 2022-11-22
-Date/Publication: 2022-11-22
-Packaged: 2022-11-22 21:34:46 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 855762f
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 20:58:04 UTC; biocbuild
 Author: Aaron Lun [aut],
   Jonathan Griffiths [ctb, cre],
   Davis McCarthy [ctb],

=== debian/changelog ===
r-bioc-dropletutils (1.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils.git
 Homepage: https://bioconductor.org/packages/DropletUtils/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-dropletutils 1.22.0%2Bds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: DropletUtils
-Version: 1.20.0
+Version: 1.22.0
 Date: 2022-11-21
 Title: Utilities for Handling Single-Cell Droplet Data
 Authors@R: c(
@@ -30,11 +30,11 @@
 SystemRequirements: C++11, GNU make
 RoxygenNote: 7.2.3
 git_url: https://git.bioconductor.org/packages/DropletUtils
-git_branch: RELEASE_3_17
-git_last_commit: 855762f
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 20:58:04 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 56d3ce8
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 21:04:27 UTC; biocbuild
 Author: Aaron Lun [aut],
   Jonathan Griffiths [ctb, cre],
   Davis McCarthy [ctb],

## r-bioc-dropletutils 1.22.0+ds

=== debian/changelog ===
r-bioc-dropletutils (1.22.0+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:33:45 +1100

r-bioc-dropletutils (1.22.0+ds-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:04:25 +0000

r-bioc-dropletutils (1.22.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 20:09:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-bioc-dropletutils
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils.git

## r-bioc-dropletutils 1.24.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: DropletUtils
-Version: 1.22.0
+Version: 1.24.0
 Date: 2022-11-21
 Title: Utilities for Handling Single-Cell Droplet Data
 Authors@R: c(
@@ -28,13 +28,14 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp, beachmat, Rhdf5lib, BH, dqrng, scuttle
 SystemRequirements: C++11, GNU make
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.0
 git_url: https://git.bioconductor.org/packages/DropletUtils
-git_branch: RELEASE_3_18
-git_last_commit: 56d3ce8
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 21:04:27 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: b6ab9f0
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 03:35:26 UTC; biocbuild
 Author: Aaron Lun [aut],
   Jonathan Griffiths [ctb, cre],
   Davis McCarthy [ctb],

=== debian/changelog ===
r-bioc-dropletutils (1.24.0+ds-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:04:51 +0200

r-bioc-dropletutils (1.24.0+ds-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 13:39:48 +0200

r-bioc-dropletutils (1.24.0+ds-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 13:03:10 +0200

=== debian/control ===
Source: r-bioc-dropletutils
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-dropletutils.git
Homepage: https://bioconductor.org/packages/DropletUtils/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-singlecellexperiment (>= 1.26.0),
               r-cran-matrix,
               r-cran-rcpp,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biocparallel (>= 1.38.0),
               r-bioc-delayedarray (>= 0.30.1),
               r-bioc-delayedmatrixstats (>= 1.26.0),
               r-bioc-hdf5array (>= 1.32.0),
               r-bioc-rhdf5 (>= 2.48.0),
               r-bioc-edger (>= 4.2.1),
               r-cran-r.utils,
               r-cran-dqrng,
               r-bioc-beachmat (>= 2.20.0),
               r-bioc-scuttle (>= 1.14.0),
               r-bioc-rhdf5lib (>= 1.26.0),
               r-cran-bh,
               libhdf5-dev,
               libpcg-cpp-dev,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-dropletutils
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-singlecellexperiment (>= 1.26.0),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-delayedarray (>= 0.30.1),
         r-bioc-delayedmatrixstats (>= 1.26.0),
         r-bioc-hdf5array (>= 1.32.0),
         r-bioc-rhdf5 (>= 2.48.0),
         r-bioc-edger (>= 4.2.1),
         r-bioc-beachmat (>= 2.20.0),
         r-bioc-rhdf5lib (>= 1.26.0),
         r-bioc-scuttle (>= 1.14.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1)
Description: BioConductor utilities for handling single-cell droplet data
 Provides a number of utility functions for handling single-cell
 (RNA-seq) data from droplet technologies such as 10X Genomics. This
 includes data loading from count matrices or molecule information files,
 identification of cells from empty droplets, removal of barcode-swapped
 pseudo-cells, and downsampling of the count matrix.

## r-bioc-dropletutils 1.26.0+ds

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: DropletUtils
-Version: 1.24.0
-Date: 2022-11-21
+Version: 1.26.0
+Date: 2024-07-23
 Title: Utilities for Handling Single-Cell Droplet Data
 Authors@R: c(
     person("Aaron", "Lun", role = "aut"),
@@ -11,8 +11,9 @@
 Depends: SingleCellExperiment
 Imports: utils, stats, methods, Matrix, Rcpp, BiocGenerics, S4Vectors,
         IRanges, GenomicRanges, SummarizedExperiment, BiocParallel,
-        DelayedArray, DelayedMatrixStats, HDF5Array, rhdf5, edgeR,
-        R.utils, dqrng, beachmat, scuttle
+        SparseArray (>= 1.5.18), DelayedArray (>= 0.31.9),
+        DelayedMatrixStats, HDF5Array, rhdf5, edgeR, R.utils, dqrng,
+        beachmat, scuttle
 Suggests: testthat, knitr, BiocStyle, rmarkdown, jsonlite,
         DropletTestFiles
 biocViews: ImmunoOncology, SingleCell, Sequencing, RNASeq,
@@ -28,14 +29,14 @@
 VignetteBuilder: knitr
 LinkingTo: Rcpp, beachmat, Rhdf5lib, BH, dqrng, scuttle
 SystemRequirements: C++11, GNU make
-RoxygenNote: 7.3.0
+RoxygenNote: 7.3.2
 git_url: https://git.bioconductor.org/packages/DropletUtils
-git_branch: RELEASE_3_19
-git_last_commit: b6ab9f0
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 03:35:26 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 5adf632
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 00:30:19 UTC; biocbuild
 Author: Aaron Lun [aut],
   Jonathan Griffiths [ctb, cre],
   Davis McCarthy [ctb],

=== debian/changelog ===
r-bioc-dropletutils (1.26.0+ds-2build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 12:35:23 +0000

r-bioc-dropletutils (1.26.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 21:10:28 +0100

r-bioc-dropletutils (1.26.0+ds-1) experimental; urgency=medium

  * Team upload.
  * d/patches/use_debian_packaged_libhdf5.patch: does not need
    forwarding upstream.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 13:11:16 +0100

r-bioc-dropletutils (1.24.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Added patch to fix a test on riscv64. Closes: #1082295
  * Drop another patch that was skipping some tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Nov 2024 12:08:57 +0100

=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,dversionmangle=auto,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/DropletUtils.html .*/DropletUtils_(.*).tar.gz
